<template>
  <p
    class="c-paragraph"
    :class="[
      color ? `c-paragraph-color--${color}` : '',
      weight ? `c-paragraph-weight--${weight}` : ''
    ]"
  >
    {{ text }}
    <slot />
  </p>
</template>

<script>
export default {
  name: "Paragraph",
  props: {
    text: {
      type: String,
      required: true
    },
    color: String,
    weight: String
  }
};
</script>

<style lang="scss">
p,
.c-paragraph {
  font-size: 1.6rem;
  line-height: 2.4rem;
  color: $c-text-primary;
  margin-bottom: 2rem;

  &-color {
    &--secondary {
      color: $c-white;
    }
  }

  &-weight {
    &--semibold {
      font-weight: $fw-semibold;
    }
  }
}
</style>
